import { ChangeDetectorRef, ElementRef, OnChanges } from '@angular/core';
import { ChangedValueEmitter } from '../../../../../../feature/composition/src/column/edit/changed-value.emitter';
import { Item } from '../../../../../../core/structure/source/src/api/item/item';
import { SmartComponent } from '../../../../../../feature/common/component/src/smart-component';
import { SourcePublisher } from '../../../../../../core/structure/source/src/api/source.publisher';
import { NgChanges } from '../../../../../../feature/common/component/src/ng-changes';
import { StructureId } from '../../../../../../core/structure/structure-core/src/api/global/structure.id';
import { CompositionAccessorModel } from '../../../../../../feature/composition/src/column/composition.accessor.model';
import * as i0 from "@angular/core";
export declare class StructureCellEditComponent extends SmartComponent implements OnChanges {
    private readonly changeDetectorRef;
    private readonly structureId;
    private readonly sourceCommandService;
    readonly cellContainerRef?: ElementRef;
    entity: Item;
    cell: CompositionAccessorModel;
    editContext: any;
    valueChanges$: ChangedValueEmitter<any>;
    status$: ChangedValueEmitter<any>;
    actualValue: any;
    constructor(changeDetectorRef: ChangeDetectorRef, elementRef: ElementRef, structureId: StructureId, sourceCommandService: SourcePublisher);
    ngOnChanges(changes: NgChanges<StructureCellEditComponent>): void;
    ngOnInit(): void;
    submitChangesAndExit(): void;
    protected getSelectorName(): string;
    private initEditContext;
    private observeValueChanges;
    private publishEditState;
    private publishEditEnter;
    private publishEditCancel;
    private publishEditSubmit;
    static ɵfac: i0.ɵɵFactoryDeclaration<StructureCellEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StructureCellEditComponent, "div[gui-structure-cell-edit][entity][cell]", never, { "entity": { "alias": "entity"; "required": false; }; "cell": { "alias": "cell"; "required": false; }; }, {}, never, never, false, never>;
}
