import { ChangeDetectorRef, ElementRef, OnChanges, OnInit } from '@angular/core';
import { Item } from '../../../../../core/structure/source/src/api/item/item';
import { FormationPublisher } from '../../../../../core/structure/formation/src/api/formation.publisher';
import { StructureId } from '../../../../../core/structure/structure-core/src/api/global/structure.id';
import { FormationWarehouse } from '../../../../../core/structure/formation/src/api/formation.warehouse';
import { SmartComponent } from '../../../../../feature/common/component/src/smart-component';
import { GuiRowClass, GuiRowStyle } from '../../../../../gui/grid/src/core/api/gui.grid.public-api';
import { CssClassModifier } from '../../../../../feature/structure/common/src/css-class/css-class.modifier';
import { NgChanges } from '../../../../../feature/common/component/src/ng-changes';
import { CellEditorManager } from '../../../../../core/structure/structure-core/src/domain/edit/cell-editor.manager';
import { CompositionAccessorModel } from '../../../../../feature/composition/src/column/composition.accessor.model';
import * as i0 from "@angular/core";
export declare class StructureRowComponent extends SmartComponent implements OnChanges, OnInit {
    private readonly changeDetectorRef;
    private readonly elRef;
    private readonly structureId;
    private readonly formationWarehouse;
    private readonly formationCommandDispatcher;
    private readonly cssClassModifier;
    entity: Item;
    columns: Array<CompositionAccessorModel>;
    editMode: boolean;
    cellEditing: CellEditorManager;
    searchPhrase: string;
    index: number;
    rowStyle: GuiRowStyle;
    rowClass: GuiRowClass;
    checkboxSelection: boolean;
    radioSelection: boolean;
    selectedItem: boolean;
    private row;
    private readonly styleModifier;
    private readonly classModifier;
    constructor(changeDetectorRef: ChangeDetectorRef, elRef: ElementRef, structureId: StructureId, formationWarehouse: FormationWarehouse, formationCommandDispatcher: FormationPublisher, cssClassModifier: CssClassModifier);
    ngOnChanges(changes: NgChanges<StructureRowComponent>): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    trackByFn(): number;
    selectCheckbox(): void;
    selectRadio(): void;
    checkSelectedItem(): void;
    protected getSelectorName(): string;
    private calculateRowStyle;
    private updateRowStyle;
    private removeRowStyles;
    private renderRowStyles;
    private updateRowClass;
    private calculateRowClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<StructureRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StructureRowComponent, "div[gui-structure-row]", never, { "entity": { "alias": "entity"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "editMode": { "alias": "editMode"; "required": false; }; "cellEditing": { "alias": "cellEditing"; "required": false; }; "searchPhrase": { "alias": "searchPhrase"; "required": false; }; "index": { "alias": "index"; "required": false; }; "rowStyle": { "alias": "rowStyle"; "required": false; }; "rowClass": { "alias": "rowClass"; "required": false; }; "checkboxSelection": { "alias": "checkboxSelection"; "required": false; }; "radioSelection": { "alias": "radioSelection"; "required": false; }; }, {}, never, never, false, never>;
}
