import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { SmartComponent } from '../../../../feature/common/component/src/smart-component';
import { FormationPublisher } from '../../../../core/structure/formation/src/api/formation.publisher';
import { StructureEditModeArchive } from '../edit/structure.edit-mode.archive';
import { FormationWarehouse } from '../../../../core/structure/formation/src/api/formation.warehouse';
import { Item } from '../../../../core/structure/source/src/api/item/item';
import { StructureWarehouse } from '../../../../core/structure/structure-core/src/api/structure.warehouse';
import { StructureId } from '../../../../core/structure/structure-core/src/api/global/structure.id';
import { VerticalFormationWarehouse } from '../../../../core/structure/vertical-formation/src/api/vertical-formation.warehouse';
import { SchemaRowClass } from '../../../../core/schema/src/api/styling/schema.row-class';
import { SchemaRowStyle } from '../../../../core/schema/src/api/styling/schema.row-style';
import { HermesObservable } from '@generic-ui/hermes';
import { SearchWarehouse } from '../../../../core/structure/search/src/api/search.warehouse';
import { CellEditorManager } from '../../../../core/structure/structure-core/src/domain/edit/cell-editor.manager';
import { SchemaWarehouse } from '../../../../core/schema/src/api/schema.warehouse';
import { SchemaReadModelRootId } from '../../../../core/schema/src/api/global/schema.read-model-root-id';
import { CompositionAccessorModel } from '../../../../feature/composition/src/column/composition.accessor.model';
import * as i0 from "@angular/core";
export interface StructureContentComponentState {
    editMode: boolean;
    selectionEnabled: boolean;
    rowHeight: number;
    cellEditing: CellEditorManager;
    schemaRowClass: SchemaRowClass;
    schemaRowStyle: SchemaRowStyle;
    checkboxSelection: boolean;
    radioSelection: boolean;
    searchPhrase: string;
}
export declare class StructureContentComponent extends SmartComponent {
    private readonly formationPublisher;
    private readonly structureEditModeArchive;
    private readonly formationWarehouse;
    private readonly structureWarehouse;
    private readonly verticalFormationWarehouse;
    private readonly structureId;
    private readonly schemaReadModelRootId;
    private readonly searchWarehouse;
    private readonly schemaWarehouse;
    source: Array<Item>;
    columns: Array<CompositionAccessorModel>;
    private readonly state;
    readonly state$: HermesObservable<any>;
    constructor(elementRef: ElementRef, changeDetectorRef: ChangeDetectorRef, formationPublisher: FormationPublisher, structureEditModeArchive: StructureEditModeArchive, formationWarehouse: FormationWarehouse, structureWarehouse: StructureWarehouse, verticalFormationWarehouse: VerticalFormationWarehouse, structureId: StructureId, schemaReadModelRootId: SchemaReadModelRootId, searchWarehouse: SearchWarehouse, schemaWarehouse: SchemaWarehouse);
    trackByFn(): number;
    translateY(index: number, rowHeight: number): string;
    toggleSelectedRow(entity: Item, selectionEnabled: boolean, checkboxSelection: boolean, radioSelection: boolean): void;
    protected getSelectorName(): string;
    private selectCheckboxSelection;
    private selectRadioSelection;
    private selectSearchPhrase;
    static ɵfac: i0.ɵɵFactoryDeclaration<StructureContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StructureContentComponent, "div[gui-structure-content]", never, { "source": { "alias": "source"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, {}, never, never, false, never>;
}
