import { ModuleWithProviders } from '@angular/core';
import { FabricModalThemeService, FabricModule } from '@generic-ui/fabric';
import { PagingFeatureModule } from '../../../feature/structure/paging/src/paging.feature-module';
import { StructureComponent } from './structure/structure.component';
import { StructureHeaderComponent } from './header/structure-header.component';
import { StructureContentComponent } from './content/structure-content.component';
import { StructureRowComponent } from './content/row/structure-row.component';
import { StructureContainerComponent } from './content/container/structure-container.component';
import { StructureDefinition } from './structure/structure-definition';
import { StructureModuleConfig } from './structure/structure-module-config';
import { StructureCellEditArchive } from './edit/structure.cell-edit.archive';
import { StructurePublisher } from '../../../core/structure/structure-core/src/api/structure.publisher';
import { StructureWarehouse } from '../../../core/structure/structure-core/src/api/structure.warehouse';
import { StructureInitialValuesReadyArchive } from '../../../core/structure/structure-core/src/api/ready/structure.initial-values-ready.archive';
import * as i0 from "@angular/core";
import * as i1 from "./structure/structure.component";
import * as i2 from "./header/structure-header.component";
import * as i3 from "./header/column/structure-header-columns.component";
import * as i4 from "./header/group/structure-header-groups.component";
import * as i5 from "./header/filters/structure-header-filters.component";
import * as i6 from "./header/filters/structure.header-filter.component";
import * as i7 from "./content/structure-content.component";
import * as i8 from "./content/row/structure-row.component";
import * as i9 from "./content/cell/structure.cell.component";
import * as i10 from "./content/cell/edit/structure.cell-edit.component";
import * as i11 from "./content/cell/boolean/structure.cell-edit-boolean.component";
import * as i12 from "./content/container/structure-container.component";
import * as i13 from "./header/quick-filters/structure.quick-filters.component";
import * as i14 from "./blueprint/structure.blueprint.component";
import * as i15 from "./row-detail/view/structure.row-detail-view.component";
import * as i16 from "./panel/banner-panels/title-panel/structure.title-panel.component";
import * as i17 from "./panel/banner-panels/footer-panel/structure.footer-panel.component";
import * as i18 from "./structure/gate/column/header/structure-column-header.gate";
import * as i19 from "./structure/gate/paging/structure-paging.gate";
import * as i20 from "./structure/gate/searching/structure-searching.gate";
import * as i21 from "./structure/gate/source/structure-selection.gate";
import * as i22 from "./structure/gate/l10n/structure-l10n.gate";
import * as i23 from "./structure/gate/panel/structure-panel.gate";
import * as i24 from "./structure/gate/row/detail/structure-row-detail.gate";
import * as i25 from "./structure/gate/column/menu/structure-column-menu.gate";
import * as i26 from "../../../feature/structure/summaries/src/gate/structure-summaries.gate";
import * as i27 from "./structure/gate/panel/info/structure-info-panel.gate";
import * as i28 from "./structure/gate/row/class/structure-row-class.gate";
import * as i29 from "./structure/gate/row/style/structure-row-style.gate";
import * as i30 from "./structure/gate/row/coloring/structure-row-coloring.gate";
import * as i31 from "../../../feature/schema/src/gate/grid/theme-grid.gate";
import * as i32 from "../../../feature/structure/sorting/src/gate/structure-sorting.gate";
import * as i33 from "./structure/gate/source/source-loading.gate";
import * as i34 from "../../../feature/structure/filter/src/gate/structure-filter.gate";
import * as i35 from "../../../feature/structure/filter/src/gate/structure-quick-filters.gate";
import * as i36 from "../../../feature/structure/vertical-formation/src/gate/vertical-formation.gate";
import * as i37 from "@angular/common";
import * as i38 from "@angular/forms";
import * as i39 from "../../../feature/l10n/src/translation.feature-module";
import * as i40 from "../../../feature/gui-angular/template/gui.template.module";
import * as i41 from "@generic-ui/fabric";
import * as i42 from "../../../feature/common/cdk/src/resize-detector/resize-detector.module";
import * as i43 from "../../../feature/structure/paging/src/paging.feature-module";
import * as i44 from "../../../feature/structure/sorting/src/sorting.feature-module";
import * as i45 from "../../../feature/structure/field/src/field.feature-module";
import * as i46 from "../../../feature/structure/formation/src/formation.feature-module";
import * as i47 from "../../../feature/structure/search/src/search.feature-module";
import * as i48 from "../../../feature/structure/filter/src/menu/filter-menu.feature-module";
import * as i49 from "../../../feature/structure/source/src/source.feature-module";
import * as i50 from "../../../feature/structure/summaries/src/summaries.feature-module";
import * as i51 from "../../../feature/structure/vertical-formation/src/vertical-formation.feature-module";
import * as i52 from "../../../feature/schema/src/schema.feature-module";
import * as i53 from "../../../feature/structure/common/src/structure-shared.module";
import * as i54 from "./panel/info/structure.info-panel.module";
import * as i55 from "./panel/top/structure.top-panel.module";
import * as i56 from "./header/menu/structure.column-menu.module";
import * as i57 from "./column-manager/structure.column-manager.module";
import * as i58 from "../../../feature/schema/src/manager/schema-manager.module";
import * as i59 from "../../../feature/structure/source/src/empty/empty-source.feature-module";
import * as i60 from "../../../feature/composition/src/composition.feature-module";
import * as i61 from "../../../feature/common/cdk/src/logger/logger.module";
import * as i62 from "../../../feature/common/cdk/src/sanitize/sanitize.module";
import * as i63 from "../../../feature/common/icons/arrow/structure.arrow-icon.module";
import * as i64 from "../../../feature/common/icons/menu/structure.menu-icon.module";
export declare function provideStructureCommandInvoker(): StructurePublisher;
export declare function provideStructureWarehouse(): StructureWarehouse;
export declare function provideStructureInitialValuesReadyArchive(): StructureInitialValuesReadyArchive;
export declare const structureProviders: ({
    provide: typeof StructurePublisher;
    useFactory: typeof provideStructureCommandInvoker;
} | {
    provide: typeof StructureWarehouse;
    useFactory: typeof provideStructureWarehouse;
} | {
    provide: typeof StructureInitialValuesReadyArchive;
    useFactory: typeof provideStructureInitialValuesReadyArchive;
})[];
export declare function createStructureDefinition(): StructureDefinition;
export declare function provideStructureCellEditArchive(): StructureCellEditArchive;
export declare function provideFabricModalThemeService(): FabricModalThemeService;
export declare class GridViewFeatureModule {
    private platformId;
    private static readonly HERMES_API;
    static exportDeclarations: (typeof import("@generic-ui/fabric").FabricButtonModule[] | typeof FabricModule | typeof PagingFeatureModule | typeof StructureComponent | typeof StructureHeaderComponent | typeof StructureContentComponent | typeof StructureRowComponent | typeof StructureContainerComponent | (typeof import("./structure/gate/searching/structure-searching.gate").StructureSearchingGate | typeof import("./structure/gate/column/header/structure-column-header.gate").StructureColumnHeaderGate | typeof import("./structure/gate/paging/structure-paging.gate").StructurePagingGate | typeof import("./structure/gate/source/structure-selection.gate").StructureSelectionGate | typeof import("./structure/gate/l10n/structure-l10n.gate").StructureL10nGate | typeof import("./structure/gate/panel/structure-panel.gate").StructurePanelGate | typeof import("./structure/gate/row/detail/structure-row-detail.gate").StructureRowDetailGate | typeof import("./structure/gate/column/menu/structure-column-menu.gate").StructureColumnMenuGate | typeof import("../../../feature/structure/summaries/src/gate/structure-summaries.gate").StructureSummariesGate | typeof import("./structure/gate/panel/info/structure-info-panel.gate").StructureInfoPanelGate | typeof import("./structure/gate/row/class/structure-row-class.gate").StructureRowClassGate | typeof import("./structure/gate/row/coloring/structure-row-coloring.gate").StructureRowColoringGate | typeof import("./structure/gate/row/style/structure-row-style.gate").StructureRowStyleGate | typeof import("../../../feature/schema/src/gate/grid/theme-grid.gate").ThemeGridGate | typeof import("./structure/gate/source/source-loading.gate").SourceLoadingGate | typeof import("../../../feature/structure/vertical-formation/src/gate/vertical-formation.gate").VerticalFormationGate | typeof import("../../../feature/structure/sorting/src/gate/structure-sorting.gate").StructureSortingGate | typeof import("../../../feature/structure/filter/src/gate/structure-filter.gate").StructureFilterGate | typeof import("../../../feature/structure/filter/src/gate/structure-quick-filters.gate").StructureQuickFiltersGate)[])[];
    static withConfig(structureConfig?: StructureModuleConfig): ModuleWithProviders<GridViewFeatureModule>;
    constructor(platformId: any);
    static ɵfac: i0.ɵɵFactoryDeclaration<GridViewFeatureModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<GridViewFeatureModule, [typeof i1.StructureComponent, typeof i2.StructureHeaderComponent, typeof i3.StructureHeaderColumnsComponent, typeof i4.StructureHeaderGroupsComponent, typeof i5.StructureHeaderFiltersComponent, typeof i6.StructureHeaderFilterComponent, typeof i7.StructureContentComponent, typeof i8.StructureRowComponent, typeof i9.StructureCellComponent, typeof i10.StructureCellEditComponent, typeof i11.StructureCellEditBooleanComponent, typeof i12.StructureContainerComponent, typeof i13.StructureQuickFiltersComponent, typeof i14.StructureBlueprintComponent, typeof i15.StructureRowDetailViewComponent, typeof i16.StructureTitlePanelComponent, typeof i17.StructureFooterPanelComponent, typeof i18.StructureColumnHeaderGate, typeof i19.StructurePagingGate, typeof i20.StructureSearchingGate, typeof i21.StructureSelectionGate, typeof i22.StructureL10nGate, typeof i23.StructurePanelGate, typeof i24.StructureRowDetailGate, typeof i25.StructureColumnMenuGate, typeof i26.StructureSummariesGate, typeof i27.StructureInfoPanelGate, typeof i28.StructureRowClassGate, typeof i29.StructureRowStyleGate, typeof i30.StructureRowColoringGate, typeof i31.ThemeGridGate, typeof i32.StructureSortingGate, typeof i33.SourceLoadingGate, typeof i34.StructureFilterGate, typeof i35.StructureQuickFiltersGate, typeof i36.VerticalFormationGate], [typeof i37.CommonModule, typeof i38.ReactiveFormsModule, typeof i39.TranslationFeatureModule, typeof i40.GuiTemplateModule, typeof i41.FabricBadgeModule, typeof i41.FabricButtonModule, typeof i41.FabricButtonGroupModule, typeof i41.FabricCheckboxModule, typeof i41.FabricChipModule, typeof i41.FabricDrawerModule, typeof i41.FabricDropdownModule, typeof i41.FabricRadioButtonModule, typeof i41.FabricRadioGroupModule, typeof i41.FabricProgressBarModule, typeof i41.FabricProgressSpinnerModule, typeof i41.FabricSelectModule, typeof i41.FabricSpinnerModule, typeof i41.FabricTabModule, typeof i41.FabricTooltipModule, typeof i41.FabricToggleButtonModule, typeof i41.FabricInputModule, typeof i41.FabricDialogModule, typeof i41.FabricInlineDialogModule, typeof i41.FabricTabModule, typeof i42.ResizeDetectorModule, typeof i43.PagingFeatureModule, typeof i44.SortingFeatureModule, typeof i45.FieldFeatureModule, typeof i46.FormationFeatureModule, typeof i47.SearchFeatureModule, typeof i48.FilterMenuFeatureModule, typeof i49.SourceFeatureModule, typeof i50.SummariesFeatureModule, typeof i51.VerticalFormationFeatureModule, typeof i52.SchemaFeatureModule, typeof i53.StructureSharedModule, typeof i54.StructureInfoPanelModule, typeof i55.StructureTopPanelModule, typeof i56.StructureColumnMenuModule, typeof i57.StructureColumnManagerModule, typeof i58.SchemaManagerModule, typeof i59.EmptySourceFeatureModule, typeof i60.CompositionFeatureModule, typeof i61.LoggerModule, typeof i62.SanitizeModule, typeof i63.StructureArrowIconModule, typeof i64.StructureMenuIconModule], [typeof i41.FabricModule, typeof i1.StructureComponent, typeof i2.StructureHeaderComponent, typeof i7.StructureContentComponent, typeof i8.StructureRowComponent, typeof i12.StructureContainerComponent, typeof i41.FabricBadgeModule, typeof i41.FabricButtonModule, typeof i41.FabricButtonGroupModule, typeof i41.FabricCheckboxModule, typeof i41.FabricChipModule, typeof i41.FabricDrawerModule, typeof i41.FabricDropdownModule, typeof i41.FabricRadioButtonModule, typeof i41.FabricRadioGroupModule, typeof i41.FabricProgressBarModule, typeof i41.FabricProgressSpinnerModule, typeof i41.FabricSelectModule, typeof i41.FabricSpinnerModule, typeof i41.FabricTabModule, typeof i41.FabricTooltipModule, typeof i41.FabricToggleButtonModule, typeof i41.FabricInputModule, typeof i41.FabricDialogModule, typeof i41.FabricInlineDialogModule, typeof i41.FabricTabModule, typeof i43.PagingFeatureModule, typeof i18.StructureColumnHeaderGate, typeof i19.StructurePagingGate, typeof i20.StructureSearchingGate, typeof i21.StructureSelectionGate, typeof i22.StructureL10nGate, typeof i23.StructurePanelGate, typeof i24.StructureRowDetailGate, typeof i25.StructureColumnMenuGate, typeof i26.StructureSummariesGate, typeof i27.StructureInfoPanelGate, typeof i28.StructureRowClassGate, typeof i29.StructureRowStyleGate, typeof i30.StructureRowColoringGate, typeof i31.ThemeGridGate, typeof i32.StructureSortingGate, typeof i33.SourceLoadingGate, typeof i34.StructureFilterGate, typeof i35.StructureQuickFiltersGate, typeof i36.VerticalFormationGate]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<GridViewFeatureModule>;
}
