import { ChangeDetectorRef, ElementRef, Injector } from '@angular/core';
import { CellTemplateWithContext } from '../../../../../core/composition/src/core-read/definition/cell-template-with-context';
import { SortingPublisher } from '../../../../../core/structure/sorting/src/api/sorting.publisher';
import { CompositionId } from '../../../../../core/composition/src/api/global/composition.id';
import { StructureId } from '../../../../../core/structure/structure-core/src/api/global/structure.id';
import { FormationPublisher } from '../../../../../core/structure/formation/src/api/formation.publisher';
import { Group } from '../../../../../core/composition/src/api/group/group';
import { PureComponent } from '../../../../../feature/common/component/src/pure-component';
import * as i0 from "@angular/core";
export declare class StructureHeaderGroupsComponent extends PureComponent {
    private readonly elementRef;
    private readonly injector;
    private readonly changeDetectorRef;
    private readonly compositionId;
    private readonly structureId;
    private readonly formationCommandDispatcher;
    private readonly sortingCommandDispatcher;
    groups: Array<Group>;
    showGroups: boolean;
    checkboxSelection: boolean;
    globalSearching: boolean;
    constructor(elementRef: ElementRef, injector: Injector, changeDetectorRef: ChangeDetectorRef, compositionId: CompositionId, structureId: StructureId, formationCommandDispatcher: FormationPublisher, sortingCommandDispatcher: SortingPublisher);
    toggleSort(column: CellTemplateWithContext): void;
    isSortAsc(column: CellTemplateWithContext): boolean;
    isSortDesc(column: CellTemplateWithContext): boolean;
    isGlobalSortEnabled(): boolean;
    protected getSelectorName(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<StructureHeaderGroupsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StructureHeaderGroupsComponent, "div[gui-structure-header-groups][groups][checkboxSelection]", never, { "groups": { "alias": "groups"; "required": false; }; "showGroups": { "alias": "showGroups"; "required": false; }; "checkboxSelection": { "alias": "checkboxSelection"; "required": false; }; }, {}, never, never, false, never>;
}
