import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { SmartComponent } from '../../../common/component/src/smart-component';
import { SearchPublisher } from '../../../../core/structure/search/src/api/search.publisher';
import { HermesSubscription } from '@generic-ui/hermes';
import { GuiEffects } from '../../../gui-angular/effect/gui.effects';
import * as i0 from "@angular/core";
export declare class SearchComponent extends SmartComponent implements OnInit {
    private readonly formBuilder;
    private readonly effects;
    private readonly searchCommandDispatcher;
    private static readonly FORM_SEARCH_NAME;
    readonly formRef?: ElementRef;
    private readonly structureId;
    private readonly searchWarehouse;
    searchForm: FormGroup;
    placeholder$: import("@generic-ui/hermes").HermesObservable<string>;
    searchingEnabled$: import("@generic-ui/hermes").HermesObservable<boolean>;
    searchInputSubscription: HermesSubscription;
    constructor(formBuilder: FormBuilder, changeDetectorRef: ChangeDetectorRef, elementRef: ElementRef, effects: GuiEffects, searchCommandDispatcher: SearchPublisher);
    ngOnInit(): void;
    clear(): void;
    protected getSelectorName(): string;
    private selectPhrase;
    private registerOnChangesEffect;
    private registerOnPhraseEffect;
    private unregisterObserveChangesEffect;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchComponent, "div[gui-search-bar]", never, {}, {}, never, never, false, never>;
}
