import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { GuiGridGateway } from './gui.grid-gateway';
import { GuiGridRegister } from './register/gui.grid.register';
import { GuiGridApi } from './api/gui.grid.api-provider';
import { FormationPublisher } from '../../../../core/structure/formation/src/api/formation.publisher';
import { SourcePublisher } from '../../../../core/structure/source/src/api/source.publisher';
import { FormationWarehouse } from '../../../../core/structure/formation/src/api/formation.warehouse';
import { SearchPublisher } from '../../../../core/structure/search/src/api/search.publisher';
import { SchemaPublisher } from '../../../../core/schema/src/api/schema.publisher';
import { StructurePublisher } from '../../../../core/structure/structure-core/src/api/structure.publisher';
import { PagingPublisher } from '../../../../core/structure/paging/src/api/paging.publisher';
import { SummariesPublisher } from '../../../../core/structure/summaries/src/api/summaries.publisher';
import { SortingPublisher } from '../../../../core/structure/sorting/src/api/sorting.publisher';
import { CompositionPublisher } from '../../../../core/composition/src/api/composition.publisher';
import { CompositionWarehouse } from '../../../../core/composition/src/api/composition.warehouse';
import { FilterIntegration } from '../../../../core/structure/filter/src/api-integration/filter.integration';
import { StructureIdGenerator } from '../../../../feature-view/grid-view/src/structure/structure-id.generator';
import * as i0 from "@angular/core";
export declare class GuiGridComponent extends GuiGridGateway implements OnInit, OnDestroy {
    private readonly platformId;
    private readonly elementRef;
    private readonly changeDetectorRef;
    private readonly gridRegister;
    private readonly structureIdGenerator;
    private readonly formationCommandDispatcher;
    private readonly formationWarehouse;
    private readonly compositionCommandInvoker;
    private readonly compositionWarehouse;
    private readonly filterIntegration;
    private readonly sourceCommandDispatcher;
    private readonly searchCommandInvoker;
    private readonly schemaCommandInvoker;
    private readonly structureCommandDispatcher;
    private readonly summariesCommandInvoker;
    private readonly sortingCommandInvoker;
    private readonly pagingCommandInvoker;
    private static readonly GUI_GRID_ID;
    structureRef: any;
    gridId: string;
    api: GuiGridApi;
    private localGridId;
    private readonly gridThemeCommandInvoker;
    private readonly classModifier;
    private readonly attributeModifier;
    constructor(platformId: any, elementRef: ElementRef, changeDetectorRef: ChangeDetectorRef, gridRegister: GuiGridRegister, structureIdGenerator: StructureIdGenerator, formationCommandDispatcher: FormationPublisher, formationWarehouse: FormationWarehouse, compositionCommandInvoker: CompositionPublisher, compositionWarehouse: CompositionWarehouse, filterIntegration: FilterIntegration, sourceCommandDispatcher: SourcePublisher, searchCommandInvoker: SearchPublisher, schemaCommandInvoker: SchemaPublisher, structureCommandDispatcher: StructurePublisher, summariesCommandInvoker: SummariesPublisher, sortingCommandInvoker: SortingPublisher, pagingCommandInvoker: PagingPublisher);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getElementRef(): ElementRef;
    detectChanges(): void;
    private exposeGridId;
    private initApi;
    static ɵfac: i0.ɵɵFactoryDeclaration<GuiGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GuiGridComponent, "gui-grid", never, { "gridId": { "alias": "gridId"; "required": false; }; }, {}, never, never, false, never>;
}
